National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2012-2436 Detail

Description

Multiple cross-site scripting (XSS) vulnerabilities in Pligg CMS before 1.2.2 allow remote attackers to inject arbitrary web script or HTML via (1) an arbitrary parameter in a move or (2) minimize action to admin/admin_index.php; (3) the karma_username parameter to module.php in the karma module; (4) q_1_low, (5) q_1_high, (6) q_2_low, or (7) q_2_high parameter in a configure action to module.php in the captcha module; or (8) the edit parameter to module.php in the admin_language module.

Source:  MITRE      Last Modified:  05/27/2012

Quick Info

CVE Dictionary Entry:
CVE-2012-2436
Original release date:
05/27/2012
Last revised:
08/28/2017
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
4.3 MEDIUM
Vector:
(AV:N/AC:M/Au:N/C:N/I:P/A:N) (legend)
Impact Subscore:
2.9
Exploitability Subscore:
8.6
CVSS Version 2 Metrics:
Access Vector:
Network exploitable - Victim must voluntarily interact with attack mechanism
Access Complexity:
Medium
Authentication:
Not required to exploit
Impact Type:
Allows unauthorized modification

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://forums.pligg.com/downloads.php?do=file&id=15 External Source CONFIRM http://forums.pligg.com/downloads.php?do=file&id=15
http://pligg.svn.sourceforge.net/viewvc/pligg/trunk/modules/admin_language/admin_language_main.php?r1=2442&r2=2441&pathrev=2442 External Source CONFIRM http://pligg.svn.sourceforge.net/viewvc/pligg/trunk/modules/admin_language/admin_language_main.php?r1=2442&r2=2441&pathrev=2442
http://pligg.svn.sourceforge.net/viewvc/pligg?view=revision&revision=2440 External Source CONFIRM http://pligg.svn.sourceforge.net/viewvc/pligg?view=revision&revision=2440
http://pligg.svn.sourceforge.net/viewvc/pligg?view=revision&revision=2441 External Source CONFIRM http://pligg.svn.sourceforge.net/viewvc/pligg?view=revision&revision=2441
http://pligg.svn.sourceforge.net/viewvc/pligg?view=revision&revision=2452 External Source CONFIRM http://pligg.svn.sourceforge.net/viewvc/pligg?view=revision&revision=2452
http://www.securityfocus.com/bid/53625 External Source BID 53625
http://www.securityfocus.com/bid/53662 External Source BID 53662
https://exchange.xforce.ibmcloud.com/vulnerabilities/75764 External Source XF pliggcms-multiple1-xss(75764)
https://exchange.xforce.ibmcloud.com/vulnerabilities/75834 External Source XF pliggcms-adminindex-xss(75834)
https://www.htbridge.com/advisory/HTB23089 External Source MISC https://www.htbridge.com/advisory/HTB23089

Technical Details

Vulnerability Type (View All)

  • Cross-Site Scripting (XSS) (CWE-79)

Change History 2 change records found - show changes